##数据源配置 3类
spring:
  redis:
    ##redis 单机环境配置
    ##将docker脚本部署的redis服务映射为宿主机ip
    ##生产环境推荐使用阿里云高可用redis服务并设置密码
    host: 10.106.38.16
    port: 6379
    password: xwkj2022@
    database: 0
    ssl: false
  datasource:
    dynamic:
      datasource:
        master: # 省厅数据库配置
          driver-class-name: org.postgresql.Driver
          url: jdbc:postgresql://10.106.55.31:5432/postgres?currentSchema=jdrh
          username: postgres
          password: xwkj2022@

#第三方登陆
social:
  enabled: true
  domain: http://127.0.0.1:1888

#blade配置
blade:
  #分布式锁配置
  lock:
    ##是否启用分布式锁
    enabled: false
    ##将docker脚本部署的redis服务映射为宿主机ip
    ##生产环境推荐使用阿里云高可用redis服务并设置密码
    address: redis://127.0.0.1:6379
    password: 123456
  #本地文件上传
  file:
    remote-mode: true
    upload-domain: http://localhost:8999
    remote-path: /usr/share/nginx/html
